<form *ngIf="form" class="form-horizontal form-style" [formGroup]="form" (ngSubmit)="onSubmit()" novalidate>
  <tabset>
    <tab class="active" heading="Cơ bản">
      <div class="col-md-8 left issues">
        <div class="panel panel-default clearfix">
          <div class="panel-heading">Tạo công việc</div>
          <div class="panel-body">
            <div class="row">
              <div class="col-md-9">
                <div class="form-group">
                  <custom-input [label]="'Tiêu đề'" [validations]="{ required: 'Vui lòng nhập tiêu đề' }">
                    <input inputRef class="form-control" formControlName="name" [attr.disabled]="disabled ? true : null"
                      type="text" required />
                  </custom-input>
                </div>
                <div class="form-group">
                  <custom-input [label]="'Dự án'">
                    <autocomplete-directive required inputRef [key]="'name'" [isdisabled]="disabled ? true : null"
                      [placeholder]="'Chọn dự án...'" [custom_display_label]="['code', 'name']"
                      [headers]="['Mã dự án', 'Tên dự án']" formControlName="module_name" [items]="ListModule"
                      (type)="getModule($event)" (selected)="selectModules($event)"></autocomplete-directive>
                  </custom-input>
                </div>
                <div class="form-group">
                  <custom-input [label]="'Danh mục dự án'">
                    <autocomplete-directive required inputRef [key]="'name'"
                      [isdisabled]="!form.value['module_id'] ?  true : null" [custom_display_label]="['code', 'name']"
                      [headers]="['Mã danh mục', 'Tên danh mục']" [placeholder]="'Chọn danh mục...'"
                      formControlName="module_category_name" [items]="ListModuleCategory"
                      (type)="getModuleCategory(form.value['module_id'],$event)"
                      (selected)="selectModuleCategory($event)"></autocomplete-directive>
                  </custom-input>
                </div>
                <div class="col-md-6 deadline">
                  <label>Thời gian bắt đầu</label>
                  <div class="input-group date">
                    <app-datepickercustom formControlName="start_time"></app-datepickercustom>
                    <span class="input-group-addon">
                      <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                  </div>
                </div>
                <div class="col-md-6 deadline">
                  <label>Thời gian kết thúc</label>
                  <div class="input-group date">
                    <app-datepickercustom formControlName="deadline"></app-datepickercustom>
                    <span class="input-group-addon">
                      <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                  </div>
                </div>
                <div class="form-group">
                  <custom-input [label]="'Thời gian hoàn thành công việc'">
                    <input inputRef class="form-control" type="number" formControlName="estimated_time" />
                  </custom-input>
                </div>
                <div class="form-group">
                  <custom-input [label]="'Vấn đề gốc'">
                    <autocomplete-directive inputRef [key]="'name'" [isdisabled]="disabled ? true : null"
                      [placeholder]="'Chọn vấn đề gốc...'" [custom_display_label]="['id', 'name']"
                      [headers]="['Mã vấn đề', ' Tên vấn đề']" formControlName="parent_name" [items]="ListIssue"
                      (type)="getIssue($event)" (selected)="selectIssue($event)">
                    </autocomplete-directive>
                  </custom-input>
                </div>
                <div class="form-group">
                  <custom-input [label]="'Mức độ ưu tiên'">
                    <select inputRef class="form-control" required [attr.disabled]="disabled ? '' : null"
                      formControlName="priority">
                      <option value="LOWEST">Rất thấp</option>
                      <option value="LOW">Thấp</option>
                      <option value="MEDIUM">Trung bình</option>
                      <option value="HIGH">Cao</option>
                      <option value="HIGHEST">Rất cao</option>
                    </select>
                  </custom-input>
                </div>
              </div>
              <!-- <div class="col-md-3">

                <div class="thumbnail-post-preview">

                  <a class="rto-thumbnail clearfix">
                    <span [style.background-image]="'url(' + thumbnail +')'"></span>
                  </a>
                  <button type="button" (click)="openPopUpFileManagerment()" class="btn btn-primary">Thêm hình</button>

                </div>
              </div> -->
            </div>
            <div class="form-group">
              <label>Nội dung</label>
              <ck-editor [fullPage]="false" name="editor1" formControlName="description" skin="moono-lisa"
                language="en">
              </ck-editor>
            </div>

          </div>
        </div>
      </div>
    </tab>
    <tab class="active" heading="Thảo luận" id="comments">
      <div class="col-md-8 left issues">
        <div class="panel panel-default clearfix">
          <div class="panel-heading">Thảo luận</div>
          <form *ngIf="formComent" class="form-horizontal form-style" [formGroup]="formComent" novalidate>
            <div class="panel-body" *ngFor="let item of ListComment">
              <div class="ui comments">
                <div class="comment">
                  <a class="avatar">
                    <img [src]="item.avatar">
                  </a>
                  <div class="content">
                    <a class="author">{{item.created_by}}</a>
                    <div class="metadata">
                      <span class="date">{{item.updated_at}}</span>
                      <div class="rating">
                        <i class="glyphicon glyphicon-star"></i>
                        5 Faves
                      </div>
                    </div>
                    <div class="text">
                      <p>{{item.description}}</p>
                      <div class="btn-group action-comments" dropdown>
                        <a id="button-dropup" dropdownToggle aria-controls="dropdown-dropup" [tooltip]="Tooltip">
                          <i class="glyphicon glyphicon-option-horizontal"></i>
                        </a>
                        <ul id="dropdown-dropup" *dropdownMenu class="dropdown-menu" role="menu"
                          aria-labelledby="button-dropup" popover="Chỉnh sửa hoặc xóa bình luận này">
                          <li role="menuitem"><a class="dropdown-item" (click)="editComment(item)"><i
                                class="glyphicon glyphicon-pencil"></i>Chỉnh sửa...</a>
                          </li>
                          <li role="menuitem"><a class="dropdown-item" (click)="deleteComment(item.id)"><i
                                class="glyphicon glyphicon-trash"></i></a>Xóa...</li>
                        </ul>
                      </div>
                    </div>
                    <div class="actions">
                      <a class="reply" (click)="replyForComment(item)">Trả lời</a>
                    </div>
                    <div class="comment-box col-md-8" *ngIf="item.isCollapsed">
                      <input type="text" #commenInput class="form-control" placeholder="Bình luận">
                      <a (click)="CreateComment(commenInput.value, item.id)">Đăng</a>
                    </div>
                  </div>
                  <div class="comments" *ngFor="let comment of item['detail']">
                    <div class="comment">
                      <a class="avatar">
                        <img [src]="comment.avatar">
                      </a>
                      <div class="content">
                        <a class="author">{{comment.created_by}}</a>
                        <div class="metadata">
                          <span class="date">{{comment.updated_at}}</span>
                          <div class="rating">
                            <i class="glyphicon glyphicon-star"></i>
                            5 Faves
                          </div>
                        </div>
                        <div class="text">
                          <p>{{comment.description}}</p>
                          <!-- <div class="btn-group action-comments" dropdown>
                            <a id="button-dropup" dropdownToggle aria-controls="dropdown-dropup" [tooltip]="Tooltip">
                              <i class="glyphicon glyphicon-option-horizontal"></i>
                            </a>
                            <ul id="dropdown-dropup" *dropdownMenu class="dropdown-menu" role="menu"
                              aria-labelledby="button-dropup">
                              <li role="menuitem"><a class="dropdown-item" (click)="deleteComment(item.id)"><i
                                    class="glyphicon glyphicon-remove"></i></a></li>
                              <li role="menuitem"><a class="dropdown-item" (click)="editComment(item)"><i
                                    class="glyphicon glyphicon-pencil"></i></a>
                              </li>
                            </ul>
                          </div> -->
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
            </div>
            <div class="ui reply form">
              <div class="field">
                <textarea #textareacomment formControlName="description"></textarea>
              </div>
              <div class="ui blue labeled submit icon button" (click)="CreateComment(textareacomment.value)">
                <i class="glyphicon glyphicon-edit"></i> Add Reply
              </div>
            </div>
          </form>

        </div>
      </div>
    </tab>
  </tabset>
  <div class="col-md-4 issues-right issues">
    <div class="panel panel-default">
      <div class="panel-heading">Đăng</div>
      <div class="panel-body">
        <div *ngIf="action !='new'" class="form-group">
          <custom-input [label]="'Trạng thái'">
            <select inputRef class="form-control" required formControlName="status">
              <option value="NEW">Mới</option>
              <option value="IN-PROGRESS">Đang tiến hành</option>
              <option value="COMPLETED">Đã hoàn thành</option>
              <option value="SOLVED">Đã giải quyết</option>
              <option value="OPENED">Mở lại</option>
            </select>
          </custom-input>
        </div>
        <div *ngIf="action !='new'" class="form-group">
          <custom-input [label]="'Tiến độ'">
            <select inputRef class="form-control" required formControlName="progress">
              <option value="0">0%</option>
              <option value="10">10%</option>
              <option value="20">20%</option>
              <option value="30">30%</option>
              <option value="40">40%</option>
              <option value="50">50%</option>
              <option value="60">60%</option>
              <option value="70">70%</option>
              <option value="80">80%</option>
              <option value="90">90%</option>
              <option value="100">100%</option>
            </select>
          </custom-input>
        </div>
        <div class="form-group">
          <custom-input [label]="'Gán cho'">
            <autocomplete-directive required inputRef [key]="'full_name'"
              [custom_display_label]="['username', 'full_name']" [headers]="['Tài Khoản', 'Họ Tên']"
              [placeholder]="'Chọn gán cho...'" formControlName="full_name" [items]="ListUser" (type)="getUsers($event)"
              (selected)="selectUsers($event)"></autocomplete-directive>
          </custom-input>
        </div>
      </div>
      <div class="panel-footer">
        <button type="button" (click)="cancel()" class="btn btn-default" tabindex="20">
          <i class="icon-close"></i>
          Trở về
        </button>
        <button *ngIf="userPermission['UPDATE-ISSUE']" type="submit" [disabled]="form.invalid" class="btn btn-primary">
          Lưu
        </button>
      </div>
    </div>
  </div>
</form>